# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config.pm) perl(DynaLoader.pm) perl(Exporter.pm) perl(Gtk2/TestHelper.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define module Gtk2-Deprecated
%define fmodule Gtk2/Deprecated

%{?perl_default_filter}

Name:		perl-%module
Version:	0.05
Release:	alt12_29
Summary:	Perl module for deprecated gtk+-2.x widgets
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
URL:		http://gtk2-perl.sf.net/
Source0:	http://asofyet.org/muppet/software/gtk2-perl/%module-%version.tar.bz2

BuildRequires:	gtk+2-devel
BuildRequires:	perl-devel
BuildRequires:	perl(ExtUtils/Depends.pm)
BuildRequires:	perl(Gtk2.pm)
Source44: import.info

%description
This module provides perl access to the widgets that were deprecated
in gtk+2.x.

%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
export PERL_USE_UNSAFE_INC=1
%make_build

%install
%makeinstall_std

%files
%doc README TODO NEWS AUTHORS LICENSE
%{perl_vendor_archlib}/%fmodule
%{perl_vendor_archlib}/%fmodule.pm
%{perl_vendor_archlib}/auto/%fmodule
%{perl_vendor_archlib}/Gtk2/*.pod


%changelog
* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt12_29
- rebuild to get rid of unmets

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt11_29
- rebuild to get rid of unmets

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt10_29
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.05-alt9_29
- rebuild with perl 5.30

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt8_29
- rebuild to get rid of unmets

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt7_29
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt7_28
- update by mgaimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt7_27
- rebuild with perl 5.26

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt6_27
- update by mgaimport

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt6_26
- update by mgaimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.05-alt6_24
- update by mgaimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt6_23
- rebuild to get rid of unmets

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt5_23
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.05-alt5_22
- update by mgaimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt5_21
- rebuild to get rid of unmets

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.05-alt4_21
- update by mgaimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt4_20
- rebuild to get rid of unmets

* Thu Oct 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt3_20
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt3_19
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt3_18
- rebuild to get rid of unmets

* Wed Jun 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_18
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_17
- mga update

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt2_16
- rebuild with new perl

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_16
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_13
- converted for ALT Linux by srpmconvert tools

